Bug 228525 - graphics/zathura*: Update zathura ports
Summary: graphics/zathura*: Update zathura ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 229110
  Show dependency treegraph
 
Reported: 2018-05-26 23:14 UTC by Michael Danilov
Modified: 2018-07-14 07:41 UTC (History)
6 users (show)

See Also:


Attachments
graphics/zathura (3.82 KB, patch)
2018-05-26 23:14 UTC, Michael Danilov
quentin.stievenart: maintainer-approval+
Details | Diff
graphics/zathura-cb (1.67 KB, patch)
2018-05-26 23:14 UTC, Michael Danilov
tobik: maintainer-approval+
Details | Diff
graphics/zathura-djvu (1.75 KB, patch)
2018-05-26 23:14 UTC, Michael Danilov
riggs: maintainer-approval+
Details | Diff
graphics/zathura-pdf-poppler (1.83 KB, patch)
2018-05-26 23:15 UTC, Michael Danilov
tobik: maintainer-approval+
Details | Diff
graphics/zathura-ps (1.64 KB, patch)
2018-05-26 23:15 UTC, Michael Danilov
tobik: maintainer-approval+
Details | Diff
graphics/zathura-pdf-mupdf /!\ BUILD BROKEN! (1.89 KB, patch)
2018-05-26 23:18 UTC, Michael Danilov
no flags Details | Diff
poudriere testport log for graphics/zathura-pdf-mupdf (45.59 KB, text/plain)
2018-05-26 23:21 UTC, Michael Danilov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Danilov 2018-05-26 23:14:15 UTC
Created attachment 193735 [details]
graphics/zathura
Comment 1 Michael Danilov 2018-05-26 23:14:39 UTC
Created attachment 193736 [details]
graphics/zathura-cb
Comment 2 Michael Danilov 2018-05-26 23:14:58 UTC
Created attachment 193737 [details]
graphics/zathura-djvu
Comment 3 Michael Danilov 2018-05-26 23:15:29 UTC
Created attachment 193738 [details]
graphics/zathura-pdf-poppler
Comment 4 Michael Danilov 2018-05-26 23:15:46 UTC
Created attachment 193739 [details]
graphics/zathura-ps
Comment 5 Michael Danilov 2018-05-26 23:18:54 UTC
Created attachment 193740 [details]
graphics/zathura-pdf-mupdf /!\ BUILD BROKEN!

This one won't build, because Meson somehow does not see the mupdf lib.
Comment 6 Michael Danilov 2018-05-26 23:21:37 UTC
Created attachment 193741 [details]
poudriere testport log for graphics/zathura-pdf-mupdf
Comment 7 Tobias Kortkamp freebsd_committer 2018-06-02 11:30:57 UTC
CC maintainers of the affected ports
Comment 8 Zsolt Udvari 2018-06-11 17:11:27 UTC
In some days I'll do the graphics/mupdf update and after it I'll update graphics/zathura-pdf-mupdf.
Comment 9 Thomas Zander freebsd_committer 2018-07-07 11:09:32 UTC
Comment on attachment 193737 [details]
graphics/zathura-djvu

Maintainer timeout
Comment 10 commit-hook freebsd_committer 2018-07-14 07:29:57 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 14 07:29:50 UTC 2018
New revision: 474616
URL: https://svnweb.freebsd.org/changeset/ports/474616

Log:
  Update to upstream version 0.4.0

  Details:
  - Update to 0.4.0
  - USES meson ninja
  - Rework port makefile to accommodate changes in building

  PR:		228525
  Submitted by:	mike.d.ft402@gmail.com
  Approved by:	quentin.stievenart@gmail.com (maintainer)

Changes:
  head/graphics/zathura/Makefile
  head/graphics/zathura/distinfo
  head/graphics/zathura/pkg-plist
Comment 11 commit-hook freebsd_committer 2018-07-14 07:32:02 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 14 07:31:44 UTC 2018
New revision: 474617
URL: https://svnweb.freebsd.org/changeset/ports/474617

Log:
  Update to upstream version 0.1.8

  PR:		228525
  Submitted by:	mike.d.ft402@gmail.com (maintainer)

Changes:
  head/graphics/zathura-cb/Makefile
  head/graphics/zathura-cb/distinfo
Comment 12 commit-hook freebsd_committer 2018-07-14 07:33:06 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 14 07:32:36 UTC 2018
New revision: 474618
URL: https://svnweb.freebsd.org/changeset/ports/474618

Log:
  Update to upstream version 0.2.8

  PR:		228525
  Submitted by:	mike.d.ft402@gmail.com
  Approved by:	maintainer timeout

Changes:
  head/graphics/zathura-djvu/Makefile
  head/graphics/zathura-djvu/distinfo
Comment 13 commit-hook freebsd_committer 2018-07-14 07:35:10 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 14 07:34:21 UTC 2018
New revision: 474619
URL: https://svnweb.freebsd.org/changeset/ports/474619

Log:
  Update to upstream version 0.2.9

  PR:		228525
  Submitted by:	mike.d.ft402@gmail.com (maintainer)

Changes:
  head/graphics/zathura-pdf-poppler/Makefile
  head/graphics/zathura-pdf-poppler/distinfo
Comment 14 commit-hook freebsd_committer 2018-07-14 07:36:14 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 14 07:35:11 UTC 2018
New revision: 474620
URL: https://svnweb.freebsd.org/changeset/ports/474620

Log:
  Update to upstream version 0.2.6

  PR:		228525
  Submitted by:	mike.d.ft402@gmail.com (maintainer)

Changes:
  head/graphics/zathura-ps/Makefile
  head/graphics/zathura-ps/distinfo